package com.bonus.canteen.core.report.service;

import com.bonus.canteen.core.account.domain.param.AccountInfoQueryParam;
import com.bonus.canteen.core.account.domain.vo.AccInfoDetailsVO;
import com.bonus.canteen.core.report.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AccReportService {
    List<AccInfoDetailsVO> balanceList(AccountInfoQueryParam accountInfoQueryParam);
    AccInfoDetailsVO balanceListSum(AccountInfoQueryParam accountInfoQueryParam);
    List<RechargeRecordVO> rechargeCount(RechargeRecordParam param);
    List<WithdrawRecordVO> selectWithdrawRecord(WithdrawRecordParam param);
    List<DeptIncomeOutcomeVO> selectDeptIncomeOutcome(DeptIncomeOutcomeParam param);
    List<UserIncomeOutcomeVO> selectUserIncomeOutcome(UserIncomeOutcomeParam param);
}
